# infini_export – Create, Delete or Modify NFS Exports on Infinibox

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module creates, deletes or modifies NFS exports on Infinibox.

## Requirements

The below requirements are needed on the host that executes this module.

- infinisdk
- munch
- python >= 2.7

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
client_list - | Default: "All Hosts(*), RW, no_root_squash: True" | List of dictionaries with client entries. See examples. Check infini_export_client module to modify individual NFS client entries for export.
filesystem - / required |  | Name of exported file system.
inner_path - | Default: "/" | Internal path of the export.
name - / required |  | Export name. Should always start with `/`. (ex. name=/data) aliases: export, path
password string |  | Infinibox User password.

state
-

Choices:
- present ←
- absent

Creates/Modifies export when present and removes when absent.

system string / required |  | Infinibox Hostname or IPv4 Address.
user - |  | Infinibox User username with sufficient priveledges ( see notes ).

## Notes

Note

- This module requires infinisdk python library
- You must set INFINIBOX_USER and INFINIBOX_PASSWORD environment variables if user and password arguments are not passed to the module directly
- Ansible uses the infinisdk configuration file `~/.infinidat/infinisdk.ini` if no credentials are provided. See http://infinisdk.readthedocs.io/en/latest/getting_started.html

## Examples

    - name: Export bar filesystem under foo pool as /data
      infini_export:
        name: /data01
        filesystem: foo
        user: admin
        password: secret
        system: ibox001

    - name: Export and specify client list explicitly
      infini_export:
        name: /data02
        filesystem: foo
        client_list:
          - client: 192.168.0.2
            access: RW
            no_root_squash: True
          - client: 192.168.0.100
            access: RO
            no_root_squash: False
          - client: 192.168.0.10-192.168.0.20
            access: RO
            no_root_squash: False
        system: ibox001
        user: admin
        password: secret

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gregory Shulov (@GR360RY)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.